lp:~andrikos/ubuntu/quantal/fglrx-installer/fix-switch-to-igpu

Created by Nick Andrik on 2012-11-05 and last modified on 2013-02-17
Get this branch:
bzr branch lp:~andrikos/ubuntu/quantal/fglrx-installer/fix-switch-to-igpu
Only Nick Andrik can upload to this branch. If you are Nick Andrik please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Nick Andrik
Status:
Abandoned

Recent revisions

98. By Nick Andrik on 2012-12-27

* debian/fix_for_linux_3.7.patch:
  - Fix for linux 3.7 or higher kernels, VM_RESERVED is deleted

97. By Nick Andrik on 2012-12-08

* debian/rules:
  - Fixed wrong path which prevented OpenGL operation for iGPU in amd64
    hybrid systems
* debian/10fglrx.in:
  - Added missing path which prevented OpenGL operation for iGPU in amd64
    hybrid systems

96. By Nick Andrik on 2012-12-07

  * debian/rules:
    - Fixed wrong path which prevented OpenGL operation for iGPU in amd64
      hybrid systems

95. By Nick Andrik on 2012-11-05

* debian/10fglrx.in:
  - Added missing path which prevented hybrid operation

94. By Alberto Milone on 2012-09-29

* debian/rules:
  - Correct the path to Qt libraries on i386.

93. By Alberto Milone on 2012-09-27

* debian/rules:
  - Make sure that all binaries in /usr/bin are executable.
* Switch to dpkg-source 3.0 (quilt) format.

92. By Alberto Milone on 2012-09-26

* New upstream release (LP: #1032672).
* debian/dkms.conf.in:
  - Do not apply any kernel patch.
* debian/rules:
  - Make it possible to set the xserver ABIs in debian/substvars.
* Merge fixes from the upstream installer:
  - Fix openCL issues running x86 binaries on x86_64.
  - Make sure that dh_shlibdeps doesn't complain about missing qt
    libraries.

91. By Alberto Milone on 2012-09-10

* New upstream release (LP: #1039397).
* debian/control:
  - Conflict with/replace/provide nvidia and fglrx. This will make
    sure that other binary drivers cannot be installed at the same
    time. This is required by the new restricted drivers UI.
* debian/rules:
  - Make sure to call the "serverabi" phony target.
  - Hardcode the X ABI to 11.

90. By Alberto Milone on 2012-08-01

[ St├ęphane Graber ]
Only purge the package if nothing else provides fglrx
(LP: #949641).

89. By Alberto Milone on 2012-07-03

* debian/control:
  - Make sure that ${xviddriver:Depends} is actually replaced
    with its value.
* debian/rules:
  - Make sure to call the serverabi target.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/raring/fglrx-installer
This branch contains Public information 
Everyone can see this information.

Subscribers